jvx.volume

## Class PgTetraVertexStar

- java.lang.Object
- - jvx.volume.PgTetraVertexStar

-     public class PgTetraVertexStar
      extends java.lang.Object

  Vertex star for PgTetraSet.
  Author:
    Ulrich Reitebuch
  Version:
    09.03.15, 2.00 revised (kp) Moved to jvx.volume from dev.volume.
    30.03.10, 1.00 (ur) created

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgTetraVertexStar()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PiVector[]` | `getNeighbourVertexStarInd()` Get neighbour information in the vertexStar.
    `int` | `getSize()` Get number of tetrahedra in vertex star.
    `PiVector` | `getTetIndex()` Get list of adjacent tetrahedra.
    `static PiVector` | `getTetraPerVertex(PgTetraSet geom)` Make indices of an adjacent tetra per vertex.
    `PiVector` | `getVertexLocInd()` Get list of local indices of central vertex in adjacent tetrahedra.
    `void` | `init()` Initialization.
    `boolean` | `isClosed()` Get closed information - vertex star is not closed if the center vertex is at the boundary.
    `void` | `makeVertexStar(PgTetraSet tetraSet, int vertexInd, int tetInd)` Compute the vertex star for a given vertex index.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgTetraVertexStar

          public PgTetraVertexStar()

      Constructor.

  - ### Method Detail

    - #### init

          public void init()

      Initialization.

    - #### getTetIndex

          public PiVector getTetIndex()

      Get list of adjacent tetrahedra.

    - #### getVertexLocInd

          public PiVector getVertexLocInd()

      Get list of local indices of central vertex in adjacent tetrahedra.

    - #### getNeighbourVertexStarInd

          public PiVector[] getNeighbourVertexStarInd()

      Get neighbour information in the vertexStar. Neighbour information is given like in PgTetraSet by neighbour tetrahedron indices, stored to the opposite vertices, but with indices refering to the position in the vertex star's m_tetIndex array

    - #### isClosed

          public boolean isClosed()

      Get closed information - vertex star is not closed if the center vertex is at the boundary.

    - #### getSize

          public int getSize()

      Get number of tetrahedra in vertex star.

    - #### makeVertexStar

          public void makeVertexStar(PgTetraSet tetraSet,
                                     int vertexInd,
                                     int tetInd)

      Compute the vertex star for a given vertex index.
      Parameters:
        `tetraSet` - The tetraSet carrying the connectivity information.
        `vertexInd` - Index of the center vertex for the Vertex Star.
        `tetInd` - Index of an adjacent tetrahedron, may (but should not) be -1.
      Author:
        Ulrich Reitebuch
      Version:
        30.03.10, 1.00 (ur) created

    - #### getTetraPerVertex

          public static PiVector getTetraPerVertex(PgTetraSet geom)

      Make indices of an adjacent tetra per vertex.
      Author:
        Matthias Nieser
      Version:
        28.05.10, 1.00 created (mn)

"

The software JavaView? is copyright protected. All Rights Reserved.
"